package jp.veritrans.tercerog.sample.command.card;

import jp.veritrans.tercerog.mdk.ITransaction;
import jp.veritrans.tercerog.mdk.TransactionFactory;
import jp.veritrans.tercerog.mdk.dto.CardCancelRequestDto;
import jp.veritrans.tercerog.mdk.dto.CardCancelResponseDto;
import jp.veritrans.tercerog.sample.util.Custom;


/**
 * CardCancelCommand : カード決済(キャンセル)サンプル
 */
public class CardCancelCommand {

	/**
	 * コマンドテスト用メインメソッド
	 */
	public static void main(String[] args) {

		//---------------------------------
		// テスト用リクエスト電文項目設定  
		//---------------------------------
	    // 取引ID(キャンセル対象取引IDを設定してください)
	    String orderID = "1234567890";
	    // 支払金額(キャンセル金額を設定してください)
	    String amount = "100";
		
		//---------------------------------
		// リクエスト DTO 設定  
		//---------------------------------
	    CardCancelRequestDto reqDto = new CardCancelRequestDto();
        // オーダーIDの設定
        reqDto.setOrderId(orderID);
        // 金額の設定
        reqDto.setAmount(amount);
		
		//---------------------------------
		// 決済実行と結果表示  
		//---------------------------------
        ITransaction tran = null;
        CardCancelResponseDto resDto = null;

        try {
            tran = TransactionFactory.getInstance(reqDto);
            resDto = (CardCancelResponseDto) tran.execute();

            // リクエストとレスポンスを実行コンソール上で表示する
            Custom.print("*- Card(Cancel) -*");

            Custom.print("<< REQUEST >>");
            Custom.print("Order ID", orderID);
            Custom.print("Amount", amount);
            
            Custom.print("<< RESPONSE >>");
            Custom.print("Status", resDto.getMstatus());
            Custom.print("Message", resDto.getMerrMsg());
            Custom.print("Result Code", resDto.getVResultCode());
            Custom.print("Auth Code", resDto.getResAuthCode());
            Custom.print("Reference Number", resDto.getResReturnReferenceNumber());

        } catch (Exception ex) {
            Custom.print("Exception Occured !");
            Custom.print("Exception Message" + ex.getMessage());
        }
	
	}

}
