package jp.veritrans.tercerog.sample.command.card;

import jp.veritrans.tercerog.mdk.ITransaction;
import jp.veritrans.tercerog.mdk.TransactionFactory;
import jp.veritrans.tercerog.mdk.dto.CardCaptureRequestDto;
import jp.veritrans.tercerog.mdk.dto.CardCaptureResponseDto;
import jp.veritrans.tercerog.sample.util.Custom;


/**
 * CardCaptureCommand : カード決済(売上)サンプル
 */
public class CardCaptureCommand {

	/**
	 * コマンドテスト用メインメソッド
	 */
	public static void main(String[] args) {

		//---------------------------------
		// テスト用リクエスト電文項目設定  
		//---------------------------------
	    // 取引ID(与信時に利用したものを設定してください)
	    String orderID = "1234567890";
	    // 支払金額(与信時に利用したものを設定してください)
	    String amount = "100";
		
		//---------------------------------
		// リクエスト DTO 設定  
		//---------------------------------
	    CardCaptureRequestDto reqDto = new CardCaptureRequestDto();
        // オーダーIDの設定
        reqDto.setOrderId(orderID);
        // 金額の設定
        reqDto.setAmount(amount);
		
		//---------------------------------
		// 決済実行と結果表示  
		//---------------------------------
        ITransaction tran = null;
        CardCaptureResponseDto resDto = null;

        try {
            tran = TransactionFactory.getInstance(reqDto);
            resDto = (CardCaptureResponseDto) tran.execute();

            // リクエストとレスポンスを実行コンソール上で表示する
            Custom.print("*- Card(Capture) -*");

            Custom.print("<< REQUEST >>");
            Custom.print("Order ID", orderID);
            Custom.print("Amount", amount);
            
            Custom.print("<< RESPONSE >>");
            Custom.print("Status", resDto.getMstatus());
            Custom.print("Message", resDto.getMerrMsg());
            Custom.print("Result Code", resDto.getVResultCode());
            Custom.print("Auth Code", resDto.getResAuthCode());
            Custom.print("Reference Number", resDto.getResReturnReferenceNumber());

        } catch (Exception ex) {
            Custom.print("Exception Occured !");
            Custom.print("Exception Message" + ex.getMessage());
        }
	
	}

}
