package jp.veritrans.tercerog.sample.command.linepay;

import jp.veritrans.tercerog.mdk.ITransaction;
import jp.veritrans.tercerog.mdk.TransactionFactory;
import jp.veritrans.tercerog.mdk.dto.LinepayCancelRequestDto;
import jp.veritrans.tercerog.mdk.dto.LinepayCancelResponseDto;
import jp.veritrans.tercerog.sample.util.Custom;

/**
 * LinepayCancelCommand : LINE Pay(キャンセル)サンプル
 */
public class LinepayCancelCommand {

    /**
     * コマンドテスト用メインメソッド
     */
    public static void main(final String[] args) {

        //---------------------------------
        // テスト用リクエスト電文項目設定
        //---------------------------------
        // 取引ID(与信時に利用したものを設定してください)
        String orderID = "1234567890";

        //---------------------------------
        // リクエスト DTO 設定
        //---------------------------------
        LinepayCancelRequestDto reqDto = new LinepayCancelRequestDto();
        // オーダーIDの設定
        reqDto.setOrderId(orderID);

        //---------------------------------
        // 決済実行と結果表示
        //---------------------------------
        ITransaction tran = null;
        LinepayCancelResponseDto resDto = null;

        try {
            tran = TransactionFactory.getInstance(reqDto);
            resDto = (LinepayCancelResponseDto) tran.execute();

            // リクエストとレスポンスを実行コンソール上で表示する
            Custom.print("*- Linepay(Cancel) -*");

            Custom.print("<< REQUEST >>");
            Custom.print("Order ID", orderID);

            Custom.print("<< RESPONSE >>");
            Custom.print("Status", resDto.getMstatus());
            Custom.print("Balance", resDto.getBalance());
            Custom.print("Message", resDto.getMerrMsg());
            Custom.print("Result Code", resDto.getVResultCode());
            Custom.print("CancelDatetime", resDto.getCancelDatetime());

        } catch (Exception ex) {
            Custom.print("Exception Occured !");
            Custom.print("Exception Message" + ex.getMessage());
        }

    }

}
