package jp.veritrans.tercerog.sample.command.masterpass;

import jp.veritrans.tercerog.mdk.ITransaction;
import jp.veritrans.tercerog.mdk.TransactionFactory;
import jp.veritrans.tercerog.mdk.dto.MasterpassCancelRequestDto;
import jp.veritrans.tercerog.mdk.dto.MasterpassCancelResponseDto;
import jp.veritrans.tercerog.sample.util.Custom;

/**
 * MasterpassCancelCommand : Masterpass決済(キャンセル)サンプル
 */
public class MasterpassCancelCommand {

    /**
     * コマンドテスト用メインメソッド
     */
    public static void main(final String[] args) {

        //---------------------------------
        // テスト用リクエスト電文項目設定
        //---------------------------------
        // 取引ID(与信時に利用したものを設定してください)
        String orderID = "1234567890";

        //---------------------------------
        // リクエスト DTO 設定
        //---------------------------------
        MasterpassCancelRequestDto reqDto = new MasterpassCancelRequestDto();
        // オーダーIDの設定
        reqDto.setOrderId(orderID);

        //---------------------------------
        // 決済実行と結果表示
        //---------------------------------
        ITransaction tran = null;
        MasterpassCancelResponseDto resDto = null;

        try {
            tran = TransactionFactory.getInstance(reqDto);
            resDto = (MasterpassCancelResponseDto) tran.execute();

            // リクエストとレスポンスを実行コンソール上で表示する
            Custom.print("*- Masterpass(Cancel) -*");

            Custom.print("<< REQUEST >>");
            Custom.print("Order ID", orderID);

            Custom.print("<< RESPONSE >>");
            Custom.print("Status", resDto.getMstatus());
            Custom.print("Message", resDto.getMerrMsg());
            Custom.print("Result Code", resDto.getVResultCode());
            Custom.print("CancelDatetime", resDto.getCancelDatetime());

        } catch (Exception ex) {
            Custom.print("Exception Occured !");
            Custom.print("Exception Message" + ex.getMessage());
        }

    }

}
