package jp.veritrans.tercerog.sample.command.paynowid;

import jp.veritrans.tercerog.mdk.ITransaction;
import jp.veritrans.tercerog.mdk.TransactionFactory;
import jp.veritrans.tercerog.mdk.dto.AccountDeleteRequestDto;
import jp.veritrans.tercerog.mdk.dto.AccountDeleteResponseDto;
import jp.veritrans.tercerog.sample.util.Custom;

/**
 * PayNowIdAccountDeleteCommand : PayNowId(会員退会)処理用サーブレット
 */
public class PayNowIdAccountDeleteCommand {

    /**
     * コマンドテスト用メインメソッド
     */
    public static void main(String[] args) {

        // ---------------------------------
        // テスト用リクエスト電文項目設定
        // ---------------------------------
        // 会員ID
        String accountId = "TestAccountId";
        // 退会年月日
        String deleteDate = "20130930";

        // ---------------------------------
        // リクエスト DTO 設定
        // ---------------------------------
        AccountDeleteRequestDto reqDto = new AccountDeleteRequestDto();
        // 会員IDの設定
        reqDto.setAccountId(accountId);
        // 退会年月日の設定
        reqDto.setDeleteDate(deleteDate);

        // ---------------------------------
        // 処理実行と結果表示
        // ---------------------------------
        ITransaction tran = null;
        AccountDeleteResponseDto resDto = null;

        try {
            tran = TransactionFactory.getInstance(reqDto);
            resDto = (AccountDeleteResponseDto) tran.execute();

            // リクエストとレスポンスを実行コンソール上で表示する
            Custom.print("*- PayNowId(AccountDelete) -*");

            Custom.print("<< REQUEST >>");
            Custom.print("ServiceType", resDto.getServiceType());
            Custom.print("Account ID", accountId);
            Custom.print("Delete Date", deleteDate);

            Custom.print("<< RESPONSE >>");
            Custom.print("PayNowId Status", resDto.getPayNowIdResponse().getStatus());
            Custom.print("Message", resDto.getMerrMsg());
            Custom.print("Result Code", resDto.getVResultCode());
            Custom.print("PayNowId ProcId", resDto.getPayNowIdResponse().getProcessId());
            
        } catch (Exception ex) {
            Custom.print("Exception Occured !");
            Custom.print("Exception Message " + ex.getMessage());
        }

    }
}
