package jp.veritrans.tercerog.sample.command.paynowid;

import jp.veritrans.tercerog.mdk.ITransaction;
import jp.veritrans.tercerog.mdk.TransactionFactory;
import jp.veritrans.tercerog.mdk.dto.AccountLinkRequestDto;
import jp.veritrans.tercerog.mdk.dto.AccountLinkResponseDto;
import jp.veritrans.tercerog.sample.util.Custom;

/**
 * PayNowIdAccountLinkCommand : PayNowId(会員ID紐付)要求処理サンプル
 */
public class PayNowIdAccountLinkCommand {

    /**
     * コマンドテスト用メインメソッド
     */
    public static void main(String[] args) {

        // ---------------------------------
        // テスト用リクエスト電文項目設定
        // ---------------------------------
        // 会員ID
        String accountId = "TestAccountId";
        // 元取引ID
        String originalOrderId = "TestOrderId";

        // ---------------------------------
        // リクエスト DTO 設定
        // ---------------------------------
        AccountLinkRequestDto reqDto = new AccountLinkRequestDto();

        // 会員IDの設定
        reqDto.setAccountId(accountId);
        // 元取引IDの設定
        reqDto.setOriginalOrderId(originalOrderId);

        // ---------------------------------
        // 処理実行と結果表示
        // ---------------------------------
        ITransaction tran = null;
        AccountLinkResponseDto resDto = null;

        try {
            tran = TransactionFactory.getInstance(reqDto);
            resDto = (AccountLinkResponseDto) tran.execute();

            // リクエストとレスポンスを実行コンソール上で表示する
            Custom.print("*- PayNowId(AccountLink) -*");

            Custom.print("<< REQUEST >>");
            Custom.print("ServiceType", resDto.getServiceType());
            Custom.print("Account ID", accountId);
            Custom.print("Original Order ID", originalOrderId);

            Custom.print("<< RESPONSE >>");
            Custom.print("PayNowId Status", resDto.getPayNowIdResponse().getStatus());
            Custom.print("Message", resDto.getMerrMsg());
            Custom.print("Result Code", resDto.getVResultCode());
            Custom.print("PayNowId ProcId", resDto.getPayNowIdResponse().getProcessId());

        } catch (Exception ex) {
            Custom.print("Exception Occured !");
            Custom.print("Exception Message " + ex.getMessage());
        }

    }
}
