package jp.veritrans.tercerog.sample.command.paynowid;

import jp.veritrans.tercerog.mdk.ITransaction;
import jp.veritrans.tercerog.mdk.TransactionFactory;
import jp.veritrans.tercerog.mdk.dto.CardInfoGetRequestDto;
import jp.veritrans.tercerog.mdk.dto.CardInfoGetResponseDto;
import jp.veritrans.tercerog.sample.util.Custom;

/**
 * PayNowIdCardInfoGetCommand : PayNowId(カード情報取得)処理用サーブレット
 */
public class PayNowIdCardInfoGetCommand {

    /**
     * コマンドテスト用メインメソッド
     */
    public static void main(String[] args) {

        // ---------------------------------
        // テスト用リクエスト電文項目設定
        // ---------------------------------
        // 会員ID
        String accountId = "TestAccountId";

        // ---------------------------------
        // リクエスト DTO 設定
        // ---------------------------------
        CardInfoGetRequestDto reqDto = new CardInfoGetRequestDto();
        // 会員IDの設定
        reqDto.setAccountId(accountId);

        // ---------------------------------
        // 処理実行と結果表示
        // ---------------------------------
        ITransaction tran = null;
        CardInfoGetResponseDto resDto = null;

        try {
            tran = TransactionFactory.getInstance(reqDto);
            resDto = (CardInfoGetResponseDto) tran.execute();

            // リクエストとレスポンスを実行コンソール上で表示する
            Custom.print("*- PayNowId(CardInfoGet) -*");

            Custom.print("<< REQUEST >>");
            Custom.print("ServiceType", resDto.getServiceType());
            Custom.print("Account ID", accountId);

            Custom.print("<< RESPONSE >>");
            Custom.print("PayNowId Status", resDto.getPayNowIdResponse().getStatus());
            Custom.print("Message", resDto.getMerrMsg());
            Custom.print("Result Code", resDto.getVResultCode());
            Custom.print("PayNowId ProcId", resDto.getPayNowIdResponse().getProcessId());
            
        } catch (Exception ex) {
            Custom.print("Exception Occured !");
            Custom.print("Exception Message " + ex.getMessage());
        }

    }
}
