package jp.veritrans.tercerog.sample.command.virtualacc;

import jp.veritrans.tercerog.mdk.ITransaction;
import jp.veritrans.tercerog.mdk.TransactionFactory;
import jp.veritrans.tercerog.mdk.dto.MdkServiceConstants;
import jp.veritrans.tercerog.mdk.dto.VirtualaccDepositReverseRequestDto;
import jp.veritrans.tercerog.mdk.dto.VirtualaccDepositReverseResponseDto;
import jp.veritrans.tercerog.sample.util.Custom;

/**
 * VirtualaccDepositReverseCommand : 銀行振込決済(入金取消)サンプル
 */
public class VirtualaccDepositReverseCommand {

    /**
     * コマンドテスト用メインメソッド
     */
    public static void main(final String[] args) {

        //---------------------------------
        // テスト用リクエスト電文項目設定
        //---------------------------------
        // 取引ID(入金請求時に利用したものを設定してください)
        String orderID = "";
        // 入金ID(入金請求時に受け取ったものを設定して下さい)
        String depositId = "";

        // サービスオプションタイプ
        // りそな : MdkServiceConstants.VACC_RESONA
        String serviceOptionType = MdkServiceConstants.VACC_RESONA;

        //---------------------------------
        // リクエスト DTO 設定
        //---------------------------------
        VirtualaccDepositReverseRequestDto reqDto = new VirtualaccDepositReverseRequestDto();
        // オーダーIDの設定
        reqDto.setOrderId(orderID);
        // 入金IDの設定
        reqDto.setDepositId(depositId);
        // サービスオプションタイプの設定
        reqDto.setServiceOptionType(serviceOptionType);

        //---------------------------------
        // 決済実行と結果表示
        //---------------------------------
        ITransaction tran = null;
        VirtualaccDepositReverseResponseDto resDto = null;

        try {
            tran = TransactionFactory.getInstance(reqDto);
            resDto = (VirtualaccDepositReverseResponseDto)tran.execute();

            // リクエストとレスポンスを実行コンソール上で表示する
            Custom.print("*- Virtualacc(DepositReverse) -*");

            Custom.print("<< REQUEST >>");
            Custom.print("Order ID", orderID);
            Custom.print("Deposit ID", depositId);

            Custom.print("<< RESPONSE >>");
            Custom.print("Order ID", resDto.getOrderId());
            Custom.print("Status", resDto.getMstatus());
            Custom.print("Message", resDto.getMerrMsg());
            Custom.print("Result Code", resDto.getVResultCode());
            Custom.print("Total Deposit Amount", resDto.getTotalDepositAmount());

        } catch (Exception ex) {
            Custom.print("Exception Occured !");
            Custom.print("Exception Message" + ex.getMessage());
        }

    }
}
