package jp.veritrans.tercerog.sample.web.alipay;

import java.io.IOException;

import javax.servlet.ServletException;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import jp.veritrans.tercerog.mdk.MerchantConfig;
import jp.veritrans.tercerog.mdk.gw.utils.EncryptionUtils;
import jp.veritrans.tercerog.mdk.gw.utils.HashUtils;
import jp.veritrans.tercerog.sample.web.MdkSampleBaseServlet;

/**
 * Alipay決済の結果表示クラス。
 */
public class AuthorizeResult extends MdkSampleBaseServlet {
	private static final long serialVersionUID = 1L;

	/**
	 * @see MdkSampleBaseServlet#doProcess
	 */

	protected void doProcess(HttpServletRequest request,
			HttpServletResponse response) throws ServletException, IOException {
		try {
			String authInfo = request.getParameter("authInfo");
			String[] keys = authInfo.split("-");

			String auth = "1";
			if (keys.length != 3) {
				auth = "0";
			} else {
				EncryptionUtils encryptionUtils = new EncryptionUtils();
				String merchantCcid = new String(
						encryptionUtils.base64Dec(keys[0]));
				String now = new String(encryptionUtils.base64Dec(keys[1]));
				String received_hash = new String(
						encryptionUtils.base64Dec(keys[2]));

				MerchantConfig merchantConfig = new MerchantConfig();
				String merchantSeacret = merchantConfig
						.getProperty(MerchantConfig.MERCHANT_SECRET_KEY);
				String hashData = null;
				hashData = HashUtils.getInstance().getDigest(
						new String[] { merchantCcid, now, merchantSeacret });

				if (!hashData.equals(received_hash)) {
					auth = "0";
				} else {                
                    request.setAttribute("mStatus", request.getParameter("mstatus"));
                    request.setAttribute("vResultCode", request.getParameter("vResultCode"));
                    request.setAttribute("mErrMsg", request.getParameter("merrMsg"));
                    request.setAttribute("orderId", request.getParameter("orderId"));
                    request.setAttribute("custTxn", request.getParameter("custTxn"));
                    request.setAttribute("centerTradeId", request.getParameter("centerTradeId"));
                    request.setAttribute("settleAmount", request.getParameter("settleAmount"));
                    request.setAttribute("settleCurrency", request.getParameter("settleCurrency"));
                }
			}
			request.setAttribute("auth", auth);
            forward(request, response, "./AuthorizeResult.jsp");
		} catch (Exception ex) {
			// トランザクションオブジェクトの生成失敗など、Exceptionが発生した場合はエラー画面を表示します。
            System.out.println("Exception Occured !");
            System.out.println("Exception Message: " + ex.getMessage());
            ex.printStackTrace();
            request.setAttribute("mErrMsg", "Exception Occured : " + ex.getMessage());
            forward(request, response, "./AuthorizeResult.jsp");
		}
	}
}
