package jp.veritrans.tercerog.sample.web.saison.base;

import java.io.IOException;
import java.io.UnsupportedEncodingException;

import javax.servlet.ServletException;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import jp.veritrans.tercerog.sample.util.Utils;
import jp.veritrans.tercerog.sample.web.MdkSampleBaseServlet;

/**
 * クレディセゾン決済の売上画面表示クラス。
 */
public abstract class AbstractCapture extends MdkSampleBaseServlet {
    private static final long serialVersionUID = 1L;

    abstract protected String getJsp();
    abstract protected String getJspResult();
    abstract protected void setCharacterEncoding(HttpServletRequest request) throws UnsupportedEncodingException;

    /**
     * @see MdkSampleBaseServlet#doProcess
     */
    protected void doProcess(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
        // 文字コードの指定
        setCharacterEncoding(request);

        if ("success".equals(request.getParameter("mstatus"))) {
            forward(request, response, getJsp());

        } else {
            request.setAttribute("processName", "売上");
            request.setAttribute("orderId", request.getParameter("orderId"));
            request.setAttribute("mStatus", request.getParameter("mstatus"));

            // Tomcat8で「Default URL encoding」の仕様に変更があり、デフォルト属性がUTF-8に変更
            // デコード処理は行わない
            request.setAttribute("mErrMsg", request.getParameter("merrMsg"));

            request.setAttribute("vResultCode", request.getParameter("vResultCode"));

            forward(request, response, getJspResult());
        }
    }

}
