<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@ page import="jp.veritrans.tercerog.sample.util.*" import="jp.veritrans.tercerog.mdk.dto.*" import="java.util.*"%>

<%
      // amazonpay.propertiesファイルから必要なプロパティを取得
      // ここでは、URLを設定ファイルから取得している。
      Locale objLcl = request.getLocale();
      ResourceBundle rb = ResourceBundle.getBundle("amazonpay", objLcl);
      String successUrl = request.getParameter("successUrl");
      if (successUrl == null) {
        successUrl = rb.getString("successUrl");
      }
      String cancelUrl = request.getParameter("cancelUrl");
      if (cancelUrl == null) {
        cancelUrl = rb.getString("cancelUrl");
      }
      String errorUrl = request.getParameter("errorUrl");
      if (errorUrl == null) {
        errorUrl = rb.getString("errorUrl");
      }

      // 取引ID
      String order_id = "dummy" + System.currentTimeMillis();

      // 与信方法の選択状態を判定
      String sctWithCapture_0 = "";
      String sctWithCapture_1 = "";
      if (MdkServiceConstants.AMAZONPAY_AUTH_ONLY.equals(request.getParameter("withCapture"))) {
        sctWithCapture_0 = " selected";
      }
      if (MdkServiceConstants.AMAZONPAY_AUTH_WITH_CAPTURE.equals(request.getParameter("withCapture"))) {
        sctWithCapture_1 = " selected";
      }

      // 配送先表示抑止フラグの選択状態を判定
      String sctSuppressShippingAddressView_0 = "";
      String sctSuppressShippingAddressView_1 = "";
      if (MdkServiceConstants.AMAZONPAY_SUPPRESS_SHIPPING_ADDRESS_VIEW_FALSE
          .equals(request.getParameter("suppressShippingAddressView"))) {
        sctSuppressShippingAddressView_0 = " selected";
      }
      if (MdkServiceConstants.AMAZONPAY_SUPPRESS_SHIPPING_ADDRESS_VIEW_TRUE
          .equals(request.getParameter("suppressShippingAddressView"))) {
        sctSuppressShippingAddressView_1 = " selected";
      }

      // 注文説明
      String noteToBuyer = Utils.out(request.getParameter("noteToBuyer"));
      if (noteToBuyer == null) {
        noteToBuyer = "";
      }

      // 決済確認画面種別の選択状態を判定
      String sctPayConfirmScreenType_0 = "";
      String sctPayConfirmScreenType_1 = "";
      if (MdkServiceConstants.PAY_CONFIRM_SCREEN_TYPE_NOT_USE
          .equals(request.getParameter("payConfirmScreenType"))) {
          sctPayConfirmScreenType_0 = " selected";
      }
      if (MdkServiceConstants.PAY_CONFIRM_SCREEN_TYPE_USE
          .equals(request.getParameter("payConfirmScreenType"))) {
          sctPayConfirmScreenType_0 = " selected";
      }

      // 決済確認画面URLの設定
      String payConfirmScreenUrl = request.getParameter("payConfirmScreenUrl");
      if (payConfirmScreenUrl == null) {
          payConfirmScreenUrl = rb.getString("payConfirmScreenUrl");
      }

      // 決済中にエラーが発生して戻された時のエラー内容
      String warning = Utils.out((String) request.getAttribute("warning"));
      if (Utils.isNull(warning) == false) {
        warning += "<br/><br/>";
      }
%>
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
<meta http-equiv="Content-Language" content="ja" />
<title>VeriTrans 4G - Amazon Pay サンプル画面</title>
<link href="../css/style.css" rel="stylesheet" type="text/css">
<script language="JavaScript" type="text/javascript">
    function jpoChk(jpoObj) {
        var val = jpoObj.value;
        if (val.length == 1) {
            if (isNaN(val) == false) {
                jpoObj.value = "0" + jpoObj.value;
            }
        }
    }

    function reDrawing(frm, action) {
        frm.action = action;
        frm.method = "POST";
        frm.submit();
    }
</script>
</head>
<body>
  <img src='../WEB-IMG/VeriTrans_Payment.png'>
  <hr />
  <div class="system-message">
    <font size="2">
      本画面はVeriTrans4G Amazon Payの取引サンプル画面です。<br />
      お客様ECサイトのショッピングカートとVeriTrans4Gとを連動させるための参考、例としてご利用ください。<br />
      また、本画面では基本的なパラメータのみを表示させていますので、開発ガイドも合わせてご参照してください。<br />
    </font>
  </div>

  <%=warning%>

  <table>
    <tr>
      <td class="ptitle">
        <div class="lhtitle">Amazon Pay：決済請求</div>
      </td>
      <td class="pcxts">
        <img src='../WEB-IMG/amazonpay.png'>
      </td>
    </tr>
  </table>

  <form name="FORM_AmazonPay" method="post" action="./AuthorizeExec">
    <table border="0" cellpadding="0" cellspacing="0">

      <tr>
        <td class="ititletop">取引ID</td>
        <td class="ivaluetop"><%=Utils.out(order_id)%>&nbsp;&nbsp;
          <input type="button" value="取引ID更新" onclick="reDrawing(FORM_AmazonPay, './Authorize');">
          <input type="hidden" name="orderId" value="<%=Utils.out(order_id)%>">
        </td>
      </tr>
      <tr>
        <td class="ititle">決済金額</td>
        <td class="ivalue">
          <input type="text" maxlength="8" size="9" name="amount" value="<%=Utils.out(request.getParameter("amount"))%><%=Utils.out(request.getParameter("price"))%>">
        </td>
      </tr>
      <tr>
        <td class="ititle">売上フラグ</td>
        <td class="ivalue">
          <select name="withCapture">
            <option value="<%=MdkServiceConstants.AMAZONPAY_AUTH_ONLY%>" <%=Utils.out(sctWithCapture_0)%>>与信のみ(与信成功後に売上処理を行う必要があります)</option>
            <option value="<%=MdkServiceConstants.AMAZONPAY_AUTH_WITH_CAPTURE%>" <%=Utils.out(sctWithCapture_1)%>>与信売上(与信と同時に売上処理も行います)</option>
          </select>
        </td>
      </tr>
      <tr>
        <td class="ititle">配送先表示抑止フラグ</td>
        <td class="ivalue">
          <select name="suppressShippingAddressView">
            <option value="<%=MdkServiceConstants.AMAZONPAY_SUPPRESS_SHIPPING_ADDRESS_VIEW_FALSE%>" <%=Utils.out(sctSuppressShippingAddressView_0)%>>配送先表示</option>
            <option value="<%=MdkServiceConstants.AMAZONPAY_SUPPRESS_SHIPPING_ADDRESS_VIEW_TRUE%>" <%=Utils.out(sctSuppressShippingAddressView_1)%>>配送先表示抑止</option>
          </select>
        </td>
      </tr>

      <tr>
        <td class="ititle">注文説明</td>
        <td class="ivalue">
          <input type="text" maxlength="255" size="70" name="noteToBuyer" value="<%=Utils.out(noteToBuyer)%>">
        </td>
      </tr>
      <tr>
        <td class="ititle">完了時URL</td>
        <td class="ivalue">
          <input type="text" maxlength="256" size="70" name="successUrl" value="<%=Utils.out(successUrl)%>">
        </td>
      </tr>

      <tr>
        <td class="ititle">キャンセル時URL</td>
        <td class="ivalue">
          <input type="text" maxlength="256" size="70" name="cancelUrl" value="<%=Utils.out(cancelUrl)%>">
        </td>
      </tr>

      <tr>
        <td class="ititle">エラー時URL</td>
        <td class="ivalue">
          <input type="text" maxlength="256" size="70" name="errorUrl" value="<%=Utils.out(errorUrl)%>">
        </td>
      </tr>
      
      <tr>
        <td class="ititle">決済確認画面種別</td>
        <td class="ivalue">
          <select name="payConfirmScreenType">
            <option value=""></option>
            <option value="<%=MdkServiceConstants.PAY_CONFIRM_SCREEN_TYPE_NOT_USE%>" <%=Utils.out(sctPayConfirmScreenType_0)%>>0：DGFT決済確認画面利用</option>
            <option value="<%=MdkServiceConstants.PAY_CONFIRM_SCREEN_TYPE_USE%>" <%=Utils.out(sctPayConfirmScreenType_1)%>>1：加盟店様決済確認画面利用</option>
          </select>
        </td>
      </tr>
      
      <tr>
        <td class="ititle">決済確認画面URL</td>
        <td class="ivalue">
          <input type="text" maxlength="256" size="70" name="payConfirmScreenUrl" value="<%=Utils.out(payConfirmScreenUrl)%>">
        </td>
      </tr>

      <tr>
        <td colspan="2">&nbsp;</td>
      </tr>
      <tr>
        <td colspan="2">
          <input type="submit" value="購入">
          &nbsp;&nbsp;<font size="2" color="red">※２回以上クリックしないでください。</font>
        </td>
      </tr>
    </table>
  </form>

  <a href="../PaymentMethodSelect.jsp">決済サンプルのトップメニューへ戻る</a>
  &nbsp;&nbsp;

  <hr />
  <img src='../WEB-IMG/VeriTransLogo_WH.png'>&nbsp; Copyright &copy; VeriTrans Inc. All rights reserved

</body>
</html>
