<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@ page import="jp.veritrans.tercerog.sample.util.*" import="jp.veritrans.tercerog.mdk.dto.*" %>

<%
  // 取引IDの作成
  String order_id = "dummy" + System.currentTimeMillis();

  // キャリアを判別(サンプルのため、全てのアドレスのチェックはしていません。)
  String carrier = CarrierUtility.instance.findCarrierFromIpAddress(request.getRemoteAddr());

  // キャリアの選択状態を判定
  String sctCarrier_docomo = "";
  if (MdkServiceConstants.CARRIER_DOCOMO.equals(request.getParameter("serviceOptionType"))) { sctCarrier_docomo = " selected"; }

  // 決済中にエラーが発生して戻された時のエラー内容
  String warning = Utils.out((String) request.getAttribute("warning"));
  if (Utils.isNull(warning) == false) {
    warning += "<br/><br/>";
  }
  // 与信方法の選択状態を判定
  String sctWithCapture_0 = "";
  String sctWithCapture_1 = "";
  if (MdkServiceConstants.CARRIER_AUTH_ONLY.equals(request.getParameter("withCapture"))) { sctWithCapture_0 = " selected"; }
  if (MdkServiceConstants.CARRIER_AUTH_WITH_CAPTURE.equals(request.getParameter("withCapture"))) { sctWithCapture_1 = " selected"; }
%>

<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
<meta http-equiv="Content-Language" content="ja" />
<title>VeriTrans 4G - キャリア決済 限度額確保要求サンプル画面</title>
<link href="../css/style.css" rel="stylesheet" type="text/css">
<script language="JavaScript" type="text/javascript">
function reDrawing(frm, action) {
    frm.action = action;
    frm.method = "POST";
    frm.submit();
}
</script>
</head>
<body onload="setDisabled();">

<img alt='Paymentロゴ' src='../WEB-IMG/VeriTrans_Payment.png'><hr/>
<div class="system-message">
<font size="2">
本画面はVeriTrans4G キャリア決済の売上取引サンプル画面です。<br/>
お客様ECサイトのショッピングカートとVeriTrans4Gとを連動させるための参考、例としてご利用ください。<br/>
また、本画面では基本的なパラメータのみを表示させていますので、開発ガイドも合わせてご参照してください。<br/>
</font>
</div>

<%= warning %>

<div class="lhtitle">キャリア決済：限度額確保要求</div>
<table border="0" cellpadding="0" cellspacing="0">
<form name="FORM_CARRIER" method="post" action="ReAuthorizeExec">
<tr>
  <td class="ititletop">キャリア選択</td>
  <td class="ivaluetop">
    <select name="serviceOptionType">
      <option value="<%=MdkServiceConstants.CARRIER_DOCOMO%>"<%= Utils.out(sctCarrier_docomo) %>>ドコモ</option>
    </select><br/>
    <font size="2" color="red">※ドコモのみ選択可能</font>
  </td>
</tr>
<tr>
  <td class="ititle">取引ID</td>
  <td class="ivalue"><span><%=Utils.out(order_id)%></span>&nbsp;&nbsp;<input type="hidden" name="orderId" value="<%=Utils.out(order_id)%>"><input type="button" value="取引ID更新" onclick="reDrawing(FORM_CARRIER, './ReAuthorize');"></td>
</tr>
<tr>
  <td class="ititle">元取引ID</td>
  <td class="ivalue"><input type="text" maxlength="100" size="30" name="originalOrderId" value="<%= Utils.out(request.getParameter("originalOrderId")) %>"></td>
</tr>
<tr>
  <td class="ititle">金額</td>
  <td class="ivalue"><input type="text" maxlength="12" size="12" name="amount" value="<%=Utils.out(request.getParameter("amount"))%><%=Utils.out(request.getParameter("price"))%>"></td>
</tr>
<tr>
  <td class="ititle">与信方法</td>
  <td class="ivalue">
    <select name="withCapture">
      <option value=""></option>
      <option value="<%=MdkServiceConstants.CARRIER_AUTH_ONLY %>"<%= Utils.out(sctWithCapture_0) %>>与信のみ(与信成功後に売上処理を行う必要があります)</option>
      <option value="<%=MdkServiceConstants.CARRIER_AUTH_WITH_CAPTURE %>"<%= Utils.out(sctWithCapture_1) %>>与信売上(与信と同時に売上処理も行います)</option>
    </select>
  </td>
</tr>
<tr><td colspan="2">&nbsp;</td></tr>
<tr>
  <td colspan="2"><input type="submit" value="購入">&nbsp;&nbsp;<font size="2" color="red">※２回以上クリックしないでください。</font></td>
</tr>
</form>
</table>

<br>
<a href="../AdminMenu">管理メニューへ戻る</a>&nbsp;&nbsp;

<hr>
<img alt='VeriTransロゴ' src='../WEB-IMG/VeriTransLogo_WH.png'>&nbsp; Copyright &copy; VeriTrans Inc. All rights reserved

</body>
</html>
