<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@ page import="jp.veritrans.tercerog.sample.util.*" import="jp.veritrans.tercerog.mdk.dto.*" import="java.util.*" %>

<%
  // rakuten.propertiesファイルから必要なプロパティを取得
  // ここでは、URLを設定ファイルから取得している。
  Locale objLcl = request.getLocale();
  ResourceBundle rb = ResourceBundle.getBundle("rakuten",objLcl);
  String successUrl = request.getParameter("successUrl");
  if (successUrl == null) {
      successUrl = rb.getString("successUrl");
  }
  String errorUrl = request.getParameter("errorUrl");
  if (errorUrl == null) {
      errorUrl = rb.getString("errorUrl");
  }
  String pushUrl = request.getParameter("pushUrl");
  if (pushUrl == null) {
      pushUrl = rb.getString("pushUrl");
  }

  // 取引IDの作成
  String order_id = "dummy" + System.currentTimeMillis();

  //** 以下はrequestパラメータで指定された値によって表示する値を判別している **/

  // 決済種別の選択状態を判定
  String srcPayType_0 = "";
  String srcPayType_2 = "";
  if (MdkServiceConstants.RAKUTEN_ONLINE.equals(request.getParameter("payType"))) { srcPayType_0 = " selected"; }
  if (MdkServiceConstants.RAKUTEN_ONLINE_V2.equals(request.getParameter("payType"))) { srcPayType_2 = " selected"; }

  // 与信方法の選択状態を判定
  String sctWithCapture_0 = "";
  String sctWithCapture_1 = "";
  if (MdkServiceConstants.RAKUTEN_AUTH_ONLY.equals(request.getParameter("withCapture"))) { sctWithCapture_0 = " selected"; }
  if (MdkServiceConstants.RAKUTEN_AUTH_WITH_CAPTURE.equals(request.getParameter("withCapture"))) { sctWithCapture_1 = " selected"; }

  // 課金種別の選択状態を判定
  String srcAccountingType_0 = "";
  String srcAccountingType_1 = "";
  if (MdkServiceConstants.RAKUTEN_ONETIME.equals(request.getParameter("accountingType"))) { srcAccountingType_0 = " selected"; }
  if (MdkServiceConstants.RAKUTEN_ONDEMAND.equals(request.getParameter("accountingType"))) { srcAccountingType_1 = " selected"; }

  // 商品番号
  String itemId = Utils.out(request.getParameter("itemId"));
  if (itemId == null) {
      itemId = "";
  }

  // 決済中にエラーが発生して戻された時のエラー内容
  String warning = Utils.out((String) request.getAttribute("warning"));
  if (Utils.isNull(warning) == false) {
    warning += "<br/><br/>";
  }

  // 商品名
  // Tomcat8で「Default URL encoding」の仕様に変更があり、デフォルト属性がUTF-8に変更
  // デコード処理は行わない
  String itemName = Utils.out(request.getParameter("itemName"));
  if (itemName == null) {
      itemName = "";
  }
%>

<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
<meta http-equiv="Content-Language" content="ja" />
<title>VeriTrans 4G - 楽天ID決済与信サンプル画面</title>
<link href="../css/style.css" rel="stylesheet" type="text/css">
<script language="JavaScript" type="text/javascript">

/**
 * ページを再描写する
 */
function reDrawing(frm, action) {
    frm.action = action;
    frm.method = "POST";
    frm.submit();
}

/**
 * 課金種別によって金額の表示を制御する
 */
function controlAmount() {
    if (document.getElementById("accountingType")) {
        accountingTypeValue = document.getElementById("accountingType").value;
    }

    if (accountingTypeValue == "1") {
        document.getElementById("amount").value = null;
    } else if (!(document.getElementById("amount").value)) {
        document.getElementById("amount").value = "100";
    }
}

/**
 * 課金種別が随時なら申込ボタン、都度なら支払ボタンを表示する
 */
function changePurchaseButton() {
    if (document.getElementById("accountingType")) {
        accountingTypeValue = document.getElementById("accountingType").value;
    }

    if (accountingTypeValue == "1") {
        document.getElementById("purchase1").style.display = "";
        document.getElementById("purchase2").style.display = "none";
    } else {
        document.getElementById("purchase1").style.display = "none";
        document.getElementById("purchase2").style.display = "";
    }
    
    controlAmount();
}

// onLoadイベント
window.onload = function() {
    changePurchaseButton();
    controlAmount();
}

</script>
</head>
<body>

<img alt='Paymentロゴ' src='../WEB-IMG/VeriTrans_Payment.png'><hr/>
<div class="system-message">
<font size="2">
本画面はVeriTrans4G 楽天ID決済の取引サンプル画面です。<br/>
お客様ECサイトのショッピングカートとVeriTrans4Gとを連動させるための参考、例としてご利用ください。<br/>
また、本画面では基本的なパラメータのみを表示させていますので、開発ガイドも合わせてご参照してください。<br/>
</font>
</div>

<%=warning%>

<table>
<tr>
  <td>
    <div class="lhtitle">楽天ID決済：決済請求</div>
  </td>
  <td>
    <a href='https://checkout.rakuten.co.jp/' target='_blank'><img alt='楽天ペイ' src='../WEB-IMG/rakuten.png' border='0'/></a>
  </td>
</tr>
</table>

<form name="FORM_RAKUTEN" method="post" action="./AuthorizeExec">

<table border="0" cellpadding="0" cellspacing="0">
<tr>
  <td class="ititletop">取引ID</td>
  <td class="ivaluetop"><span><%=Utils.out(order_id)%></span>&nbsp;&nbsp;<input type="hidden" name="orderId" value="<%=Utils.outForAttribute(order_id)%>"><input type="button" value="取引ID更新" onclick="reDrawing(FORM_RAKUTEN, './Authorize');"></td>
</tr>

<tr>
  <td class="ititle">金額</td>
  <td class="ivalue"><input type="text" maxlength="8" size="9" name="amount" id ="amount" value="<%=Utils.outForAttribute(request.getParameter("amount"))%><%=Utils.out(request.getParameter("price"))%>"></td>
</tr>

<tr>
  <td class="ititle">決済種別</td>
  <td class="ivalue">
    <select name="payType">
      <option value=""></option>
      <option value="<%=MdkServiceConstants.RAKUTEN_ONLINE %>"<%= Utils.out(srcPayType_0) %>>オンライン決済</option>
      <option value="<%=MdkServiceConstants.RAKUTEN_ONLINE_V2 %>"<%= Utils.out(srcPayType_2) %>>オンライン決済（V2）</option>
    </select>
  </td>
</tr>

<tr>
  <td class="ititle">与信方法</td>
  <td class="ivalue">
    <select name="withCapture">
      <option value=""></option>
      <option value="<%=MdkServiceConstants.RAKUTEN_AUTH_ONLY %>"<%= Utils.out(sctWithCapture_0) %>>与信のみ(与信成功後に売上処理を行う必要があります)</option>
      <option value="<%=MdkServiceConstants.RAKUTEN_AUTH_WITH_CAPTURE %>"<%= Utils.out(sctWithCapture_1) %>>与信売上(与信と同時に売上処理も行います)</option>
    </select>
  </td>
</tr>

<tr>
  <td class="ititle">課金種別</td>
  <td class="ivalue">
    <select name="accountingType"  id="accountingType" onchange="changePurchaseButton()">
      <option value=""></option>
      <option value="<%=MdkServiceConstants.RAKUTEN_ONETIME %>"<%= Utils.out(srcAccountingType_0) %>>都度</option>
      <option value="<%=MdkServiceConstants.RAKUTEN_ONDEMAND %>"<%= Utils.out(srcAccountingType_1) %>>随時</option>
    </select>
  </td>
</tr>

<tr>
  <td class="ititle">商品番号</td>
  <td class="ivalue"><input type="text" maxlength="64" size="20" name="itemId" value="<%= Utils.outForAttribute(itemId) %>">
  </td>
</tr>

<tr>
  <td class="ititle">商品名</td>
  <td class="ivalue"><input type="text" maxlength="300" size="40" name="itemName" value="<%=  Utils.outForAttribute(itemName)%>"><br/>
  <font size="2" color="red">※都度決済：300文字以内</font><br/>
  <font size="2" color="red">※随時決済：200文字以内</font>
  </td>
</tr>

<tr>
  <td class="ititle">決済完了時URL</td>
  <td class="ivalue"><input type="text" maxlength="1024" size="70" name="successUrl" value="<%= Utils.outForAttribute(successUrl) %>"></td>
</tr>

<tr>
  <td class="ititle">決済エラー時URL</td>
  <td class="ivalue"><input type="text" maxlength="1024" size="70" name="errorUrl" value="<%= Utils.outForAttribute(errorUrl) %>"></td>
</tr>

<tr>
  <td class="ititle">プッシュURL</td>
  <td class="ivalue"><input type="text" maxlength="1024" size="70" name="pushUrl" value="<%= Utils.outForAttribute(pushUrl) %>"></td>
</tr>
</table>

<br>
<div>
  <button id="purchase1" style="border: none; background:transparent; display: none">
  <script src='https://contents.online.checkout.rakuten.co.jp/live/button/v1/rakuten-pay.js'
          class='rakuten-subscription-button' data-button-type='default' data-buttonwidth='200'></script>
  <noscript>Rakuten Pay で申込</noscript>
  </button>
  <button id="purchase2" style="border: none; background:transparent">
  <script src='https://contents.online.checkout.rakuten.co.jp/live/button/v1/rakuten-pay.js'
          class='rakuten-checkout-button' data-button-type='default' data-buttonwidth='200'></script>
  <noscript>Rakuten Pay で購入</noscript>
  </button>&nbsp;&nbsp;<font size="2" color="red">※２回以上クリックしないでください。</font>
</div>

</form>

<a href="../PaymentMethodSelect.jsp">決済サンプルのトップメニューへ戻る</a>&nbsp;&nbsp;

<hr>
<img alt='VeriTransロゴ' src='../WEB-IMG/VeriTransLogo_WH.png'>&nbsp; Copyright &copy; VeriTrans Inc. All rights reserved

</body>
</html>
