<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@ page import="jp.veritrans.tercerog.sample.util.*" %>
<%@ page import="jp.veritrans.tercerog.mdk.dto.*" %>

<%
  // 決済中にエラーが発生して戻された時のエラー内容
  String warning = Utils.out((String) request.getAttribute("warning"));
  if (Utils.isNull(warning) == false) {
    warning = "<font color='#ff0000' size='2'><b>" + warning + "</b></font><br/><br/>";
  }
%>

<html>
<head>
  <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
  <meta http-equiv="Content-Language" content="ja" />
  <meta http-equiv="X-UA-Compatible" content="IE=EmulateIE7" />
  <title>取引検索結果(Amazon Pay)</title>
  <link href="../../css/style.css" rel="stylesheet" type="text/css"/>
</head>
<body>
  <img alt="LOGO" src="../../WEB-IMG/VeriTrans_Payment.png"/><hr/>
  <div class="system-message">
    <font size="2">
    本画面はVeriTrans4G 取引検索のサンプル画面です。<br/>
    お客様ECサイトのショッピングカートとVeriTrans4Gとを連動させるための参考、例としてご利用ください。<br/>
    </font>
  </div>

<%= warning %>

  <div class="lhtitle">検索結果（Amazon Pay）</div>
  <h2>オーダー情報</h2>
  <table border="1" cellpadding="0" cellspacing="0">
    <tr bgcolor="#ffeebb">
      <th class="rititle2" nowrap colspan="2">オーダー情報</th>
    </tr>
<%
  OrderInfo order_info = (OrderInfo) request.getAttribute("order_info");
  if (order_info != null) {
    String target_orderId              = order_info.getOrderId();              // オーダーID
    String target_serviceTypeCd        = order_info.getServiceTypeCd();        // 決済サービスタイプ
    String target_orderStatus          = order_info.getOrderStatus();          // オーダー決済状態
    String target_lastSuccessTxnType   = order_info.getLastSuccessTxnType();   // 最終成功トランザクションタイプ
    String target_successDetailTxnType = order_info.getSuccessDetailTxnType(); // 詳細トランザクションタイプ
%>
    <tr>
      <td class="rivalue2" bgcolor="#ffeebb" nowrap>取引ID</td>
      <td class="rivalue2" nowrap><%= Utils.out(target_orderId) %><br/></td>
    </tr>
    <tr>
      <td class="rivalue2" bgcolor="#ffeebb" nowrap>決済サービスタイプ</td>
      <td class="rivalue2" nowrap><%= Utils.out(target_serviceTypeCd) %><br/></td>
    </tr>
    <tr>
      <td class="rivalue2" bgcolor="#ffeebb" nowrap>オーダー決済状態</td>
      <td class="rivalue2" nowrap><%= Utils.out(target_orderStatus) %><br/></td>
    </tr>
    <tr>
      <td class="rivalue2" bgcolor="#ffeebb" nowrap>最終成功トランザクションタイプ</td>
      <td class="rivalue2" nowrap><%= Utils.out(target_lastSuccessTxnType) %><br/></td>
    </tr>
    <tr>
      <td class="rivalue2" bgcolor="#ffeebb" nowrap>詳細トランザクションタイプ</td>
      <td class="rivalue2" nowrap><%= Utils.out(target_successDetailTxnType) %><br/></td>
    </tr>
<%
  }
%>
  </table>
<br/>
  <table border="1" cellpadding="0" cellspacing="0">
    <tr bgcolor="#ffeebb">
      <th class="rititle2" nowrap colspan="8">固有オーダー情報</th>
    </tr>
<%
  if (order_info != null) {
    ProperOrderInfo properOrderInfo    = order_info.getProperOrderInfo();
    String target_authorizeAmount      = properOrderInfo.getAuthorizeAmount();       // 決済金額
    String target_captureAmount        = properOrderInfo.getCaptureAmount();         // 売上金額
    String target_refundableAmount     = properOrderInfo.getRefundableAmount();      // 返金可能金額
    String target_balance              = properOrderInfo.getBalance();               // 残高
    String target_authorizeDatetime    = properOrderInfo.getAuthorizeDatetime();     // 決済申込日時
    String target_centerOrderId        = properOrderInfo.getCenterOrderId();         // 決済センターの管理ID
    String target_payConfirmScreenType = properOrderInfo.getPayConfirmScreenType();  // 決済確認画面種別
%>
    <tr>
      <td class="rivalue2" bgcolor="#ffeebb" nowrap>決済金額</td>
      <td class="rivalue2" nowrap><%= Utils.out(target_authorizeAmount) %><br/></td>
      <td class="rivalue2" bgcolor="#ffeebb" nowrap>売上金額</td>
      <td class="rivalue2" nowrap><%= Utils.out(target_captureAmount) %><br/></td>
      <td class="rivalue2" bgcolor="#ffeebb" nowrap>返金可能金額</td>
      <td class="rivalue2" nowrap><%= Utils.out(target_refundableAmount) %><br/></td>
      <td class="rivalue2" bgcolor="#ffeebb" nowrap>残高</td>
      <td class="rivalue2" nowrap><%= Utils.out(target_balance) %><br/></td>
    </tr>
    <tr>
      <td class="rivalue2" bgcolor="#ffeebb" nowrap>決済申込日時</td>
      <td class="rivalue2" nowrap><%= Utils.formatDateTime(Utils.out(target_authorizeDatetime)) %><br/></td>
      <td class="rivalue2" bgcolor="#ffeebb" nowrap>決済センターの管理ID</td>
      <td class="rivalue2" nowrap><%= Utils.out(target_centerOrderId) %><br/></td>
      <td class="rivalue2" bgcolor="#ffeebb" nowrap>決済確認画面種別</td>
      <td class="rivalue2" nowrap><%= Utils.out(target_payConfirmScreenType) %><br/></td>
    </tr>
<%
  }
%>
  </table>
<br/>
  <h2>トランザクション情報</h2>
  <table border="1" cellpadding="0" cellspacing="0">
    <tr bgcolor="#ffeebb">
      <th class="rititle2" nowrap colspan="6">決済トランザクション情報</th>
      <th class="rititle2" nowrap colspan="7">固有トランザクション情報</th>
    </tr>
    <tr bgcolor="#ffeebb">
      <!-- 決済トランザクション情報 -->
      <th class="rititle2" nowrap width="65">管理ID</th>
      <th class="rititle2" nowrap width="120">コマンド</th>
      <th class="rititle2" nowrap width="130">ステータスコード</th>
      <th class="rititle2" nowrap width="145">結果コード</th>
      <th class="rititle2" nowrap width="180">取引日時</th>
      <th class="rititle2" nowrap width="100">金額</th>

      <!-- 固有トランザクション情報 -->
      <th class="rititle2" nowrap width="145">決済センターのトランザクション管理ID</th>
      <th class="rititle2" nowrap width="145">決済センター結果コード</th>
      <th class="rititle2" nowrap width="145">決済センター状態コード</th>
      <th class="rititle2" nowrap width="145">決済センター理由コード</th>
      <th class="rititle2" nowrap width="145">詳細コマンドタイプ</th>
      <th class="rititle2" nowrap width="170">決済センターへの要求日時</th>
      <th class="rititle2" nowrap width="185">決済センターからの返戻日時</th>
    </tr>
<%
  if (order_info != null) {
    TransactionInfos transactionInfos = order_info.getTransactionInfos();
    TransactionInfo[] transactionInfo = transactionInfos.getTransactionInfo();

    String transaction_txnId       = "";
    String transaction_command     = "";
    String transaction_mstatus     = "";
    String transaction_vResultCode = "";
    String transaction_txnDatetime = "";
    String transaction_amount      = "";

    String amazonpay_centerTransactionId    = "";
    String amazonpay_centerResultCode       = "";
    String amazonpay_centerStateCode        = "";
    String amazonpay_centerReasonCode       = "";
    String amazonpay_detailCommandType      = "";
    String amazonpay_centerRequestDatetime  = "";
    String amazonpay_centerResponseDatetime = "";

    if (transactionInfo != null && 0 < transactionInfo.length) {
      for (int i = 0; i < transactionInfo.length; i++) {
        transaction_txnId       = transactionInfo[i].getTxnId();       // トランザクション管理ID
        transaction_command     = transactionInfo[i].getCommand();     // コマンド
        transaction_mstatus     = transactionInfo[i].getMstatus();     // ステータスコード
        transaction_vResultCode = transactionInfo[i].getVResultCode(); // 結果コード
        transaction_txnDatetime = transactionInfo[i].getTxnDatetime(); // 取引日時
        transaction_amount      = transactionInfo[i].getAmount();      // 金額

        ProperTransactionInfo properTransactionInfo = transactionInfo[i].getProperTransactionInfo();
        if (properTransactionInfo != null) {
          amazonpay_centerTransactionId    = properTransactionInfo.getCenterTransactionId();    // 決済センターのトランザクション管理ID
          amazonpay_centerResultCode       = properTransactionInfo.getCenterResultCode();       // 決済センター結果コード
          amazonpay_centerStateCode        = properTransactionInfo.getCenterStateCode();        // 決済センター状態コード
          amazonpay_centerReasonCode       = properTransactionInfo.getCenterReasonCode();       // 決済センター理由コード
          amazonpay_detailCommandType      = properTransactionInfo.getDetailCommandType();      // 詳細コマンドタイプ
          amazonpay_centerRequestDatetime  = properTransactionInfo.getCenterRequestDatetime();  // 決済センターへの要求日時
          amazonpay_centerResponseDatetime = properTransactionInfo.getCenterResponseDatetime(); // 決済センターからの返戻日時
        }
%>
    <tr>
      <!-- 決済トランザクション情報 -->
      <td class="rivalue2" nowrap><%= Utils.out(transaction_txnId) %><br/></td>
      <td class="rivalue2" nowrap><%= Utils.out(transaction_command) %><br/></td>
      <td class="rivalue2" nowrap><%= Utils.out(transaction_mstatus) %><br/></td>
      <td class="rivalue2" nowrap><%= Utils.out(transaction_vResultCode) %><br/></td>
      <td class="rivalue2" nowrap><%= Utils.out(transaction_txnDatetime) %><br/></td>
      <td class="rivalue2" nowrap><%= Utils.out(transaction_amount) %><br/></td>
      <!-- 固有トランザクション情報 -->
      <td class="rivalue2" nowrap><%= Utils.out(amazonpay_centerTransactionId) %><br/></td>
      <td class="rivalue2" nowrap><%= Utils.out(amazonpay_centerResultCode) %><br/></td>
      <td class="rivalue2" nowrap><%= Utils.out(amazonpay_centerStateCode) %><br/></td>
      <td class="rivalue2" nowrap><%= Utils.out(amazonpay_centerReasonCode) %><br/></td>
      <td class="rivalue2" nowrap><%= Utils.out(amazonpay_detailCommandType) %><br/></td>
      <td class="rivalue2" nowrap><%= Utils.formatDateTime(Utils.out(amazonpay_centerRequestDatetime)) %><br/></td>
      <td class="rivalue2" nowrap><%= Utils.formatDateTime(Utils.out(amazonpay_centerResponseDatetime)) %><br/></td>
    </tr>
<%
      }
    }
  }
%>
  </table>

  <br/>
  <a href="../Search">検索条件へ戻る</a>&nbsp;&nbsp;

  <hr>
  <img alt="VeriTransロゴ" src='../../WEB-IMG/VeriTransLogo_WH.png'>&nbsp; Copyright &copy; VeriTrans Inc. All rights reserved
</body>
</html>

