<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@ page import="jp.veritrans.tercerog.sample.util.*" %>
<%@ page import="jp.veritrans.tercerog.mdk.dto.*" %>

<%
  // 決済中にエラーが発生して戻された時のエラー内容
  String warning = Utils.out((String) request.getAttribute("warning"));
  if (Utils.isNull(warning) == false) {
    warning = "<font color='#ff0000' size='2'><b>" + warning + "</b></font><br/><br/>";
  }
%>

<html>
<head>
  <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
  <meta http-equiv="Content-Language" content="ja" />
  <title>取引検索結果(PayPay)</title>
  <link href="../../css/style.css" rel="stylesheet" type="text/css"/>
</head>
<body>
  <img alt="Paymentロゴ" src="../../WEB-IMG/VeriTrans_Payment.png"/><hr/>
  <div class="system-message">
    <font size="2">
    本画面はVeriTrans4G 取引検索のサンプル画面です。<br/>
    お客様ECサイトのショッピングカートとVeriTrans4Gとを連動させるための参考、例としてご利用ください。<br/>
    </font>
  </div>

<%= warning %>

  <div class="lhtitle">検索結果（PayPay）</div>
  <h2>オーダー情報</h2>
  <table border="1" cellpadding="0" cellspacing="0">
    <tr bgcolor="#ffeebb">
      <th class="rititle2" nowrap colspan="2">オーダー情報</th>
    </tr>
<%
  OrderInfo order_info = (OrderInfo) request.getAttribute("order_info");
  if (order_info != null) {
    String target_orderId              = order_info.getOrderId();              // オーダーID
    String target_serviceTypeCd        = order_info.getServiceTypeCd();        // 決済サービスタイプ
    String target_orderStatus          = order_info.getOrderStatus();          // オーダー決済状態
    String target_lastSuccessTxnType   = order_info.getLastSuccessTxnType();   // 最終成功トランザクションタイプ
    String target_successDetailTxnType = order_info.getSuccessDetailTxnType(); // 詳細トランザクションタイプ
%>
    <tr>
      <td class="rivalue2" bgcolor="#ffeebb" nowrap>取引ID</td>
      <td class="rivalue2" nowrap><%= Utils.out(target_orderId) %><br/></td>
    </tr>
    <tr>
      <td class="rivalue2" bgcolor="#ffeebb" nowrap>決済サービスタイプ</td>
      <td class="rivalue2" nowrap><%= Utils.out(target_serviceTypeCd) %><br/></td>
    </tr>
    <tr>
      <td class="rivalue2" bgcolor="#ffeebb" nowrap>オーダー決済状態</td>
      <td class="rivalue2" nowrap><%= Utils.out(target_orderStatus) %><br/></td>
    </tr>
    <tr>
      <td class="rivalue2" bgcolor="#ffeebb" nowrap>最終成功トランザクションタイプ</td>
      <td class="rivalue2" nowrap><%= Utils.out(target_lastSuccessTxnType) %><br/></td>
    </tr>
    <tr>
      <td class="rivalue2" bgcolor="#ffeebb" nowrap>詳細トランザクションタイプ</td>
      <td class="rivalue2" nowrap><%= Utils.out(target_successDetailTxnType) %><br/></td>
    </tr>
<%
  }
%>
  </table>
<br/>
  <table border="1" cellpadding="0" cellspacing="0">
    <tr bgcolor="#ffeebb">
      <th class="rititle2" nowrap colspan="10">固有オーダー情報</th>
    </tr>
<%
  if (order_info != null) {
    ProperOrderInfo properOrderInfo = order_info.getProperOrderInfo();
    String target_paypayOrderId         = properOrderInfo.getPaypayOrderId();      // 決済センターとの取引ID
    String target_paypayServiceType     = properOrderInfo.getPaypayServiceType();  // PayPayサービスタイプ
    String target_authorizeAmount       = properOrderInfo.getAuthorizeAmount();    // 申込金額
    String target_balance               = properOrderInfo.getBalance();            // 残高
    String target_authorizeDatetime     = properOrderInfo.getAuthorizeDatetime();  // 決済申込日時
    String target_refundDatetime        = properOrderInfo.getRefundDatetime();     // 返金日時
    String target_captureDatetime       = properOrderInfo.getCaptureDatetime();    // 売上日時
    String target_cancelDatetime        = properOrderInfo.getCancelDatetime();     // 取消日時
    String target_withCapture           = properOrderInfo.getWithCapture();        // 与信同時売上フラグ
    String target_itemId                = properOrderInfo.getItemId();             // 商品ID
%>
    <tr>
      <td class="rivalue2" bgcolor="#ffeebb" nowrap>決済センターとの取引ID</td>
      <td class="rivalue2" nowrap width="200"><%= Utils.out(target_paypayOrderId) %><br/></td>
      <td class="rivalue2" bgcolor="#ffeebb" nowrap>PayPayサービスタイプ</td>
      <td class="rivalue2" nowrap width="200"><%= Utils.out(target_paypayServiceType) %><br/></td>
      <td class="rivalue2" bgcolor="#ffeebb" nowrap>申込金額</td>
      <td class="rivalue2" nowrap width="200"><%= Utils.out(target_authorizeAmount) %><br/></td>
      <td class="rivalue2" bgcolor="#ffeebb" nowrap>残高</td>
      <td class="rivalue2" nowrap><%= Utils.out(target_balance) %><br/></td>
      <td class="rivalue2" bgcolor="#ffeebb" nowrap>決済申込日時</td>
      <td class="rivalue2" nowrap><%= Utils.formatDateTime(Utils.out(target_authorizeDatetime)) %><br/></td>
    </tr>
    <tr>
      <td class="rivalue2" bgcolor="#ffeebb" nowrap>返金日時</td>
      <td class="rivalue2" nowrap><%= Utils.formatDateTime(Utils.out(target_refundDatetime)) %><br/></td>
      <td class="rivalue2" bgcolor="#ffeebb" nowrap>売上日時</td>
      <td class="rivalue2" nowrap><%= Utils.formatDateTime(Utils.out(target_captureDatetime)) %><br/></td>
      <td class="rivalue2" bgcolor="#ffeebb" nowrap>取消日時</td>
      <td class="rivalue2" nowrap><%= Utils.formatDateTime(Utils.out(target_cancelDatetime)) %><br/></td>
      <td class="rivalue2" bgcolor="#ffeebb" nowrap>与信同時売上フラグ</td>
      <td class="rivalue2" nowrap width="200"><%= Utils.out(target_withCapture) %><br/></td>
      <td class="rivalue2" bgcolor="#ffeebb" nowrap>商品ID</td>
      <td class="rivalue2" nowrap><%= Utils.out(target_itemId) %><br/></td>
    </tr>
<%
  }
%>
  </table>
<br/>
  <h2>トランザクション情報</h2>
  <table border="1" cellpadding="0" cellspacing="0">
    <tr bgcolor="#ffeebb">
      <th class="rititle2" nowrap colspan="6">決済トランザクション情報</th>
      <th class="rititle2" nowrap colspan="7">固有トランザクション情報</th>
    </tr>
    <tr bgcolor="#ffeebb">
      <!-- 決済トランザクション情報 -->
      <th class="rititle2" nowrap width="65">管理ID</th>
      <th class="rititle2" nowrap width="120">コマンド</th>
      <th class="rititle2" nowrap width="130">ステータスコード</th>
      <th class="rititle2" nowrap width="145">結果コード</th>
      <th class="rititle2" nowrap width="180">取引日時</th>
      <th class="rititle2" nowrap width="100">金額</th>

      <!-- 固有トランザクション情報 -->
      <th class="rititle2" nowrap width="145">PayPay返戻コード</th>
      <th class="rititle2" nowrap width="145">詳細コマンドタイプ</th>
      <th class="rititle2" nowrap width="145">商品名</th>
      <th class="rititle2" nowrap width="170">PayPayへの要求日時</th>
      <th class="rititle2" nowrap width="185">PayPayからの返戻日時</th>
      <th class="rititle2" nowrap width="145">PayPay取引ID</th>
      <th class="rititle2" nowrap width="145">PayPayエラーコード</th>
    </tr>
<%
  if (order_info != null) {
    TransactionInfos transactionInfos = order_info.getTransactionInfos();
    TransactionInfo[] transactionInfo = transactionInfos.getTransactionInfo();

    String transaction_txnId       = "";
    String transaction_command     = "";
    String transaction_mstatus     = "";
    String transaction_vResultCode = "";
    String transaction_txnDatetime = "";
    String transaction_amount      = "";

    String paypay_paypayResultCode = "";
    String paypay_detailCommandType = "";
    String paypay_itemName = "";
    String paypay_online_txn_id = "";
    String paypay_error_code = "";
    String paypay_requestDatetime   = "";
    String paypay_responseDatetime  = "";

    if (transactionInfo != null && 0 < transactionInfo.length) {
      for (int i = 0; i < transactionInfo.length; i++) {
        transaction_txnId       = transactionInfo[i].getTxnId();       // トランザクション管理ID
        transaction_command     = transactionInfo[i].getCommand();     // コマンド
        transaction_mstatus     = transactionInfo[i].getMstatus();     // ステータスコード
        transaction_vResultCode = transactionInfo[i].getVResultCode(); // 結果コード
        transaction_txnDatetime = transactionInfo[i].getTxnDatetime(); // 取引日時
        transaction_amount      = transactionInfo[i].getAmount();      // 金額

        ProperTransactionInfo properTransactionInfo = transactionInfo[i].getProperTransactionInfo();
        if (properTransactionInfo != null) {
          paypay_paypayResultCode = properTransactionInfo.getPaypayResultCode();        // PayPay返戻コード
          paypay_detailCommandType = properTransactionInfo.getDetailCommandType();      // 詳細コマンドタイプ
          paypay_itemName = properTransactionInfo.getItemName();                        //商品名
          paypay_requestDatetime   = properTransactionInfo.getPaypayRequestDatetime();  // PayPayへの要求日時
          paypay_responseDatetime  = properTransactionInfo.getPaypayResponseDatetime(); // PayPayからの返戻日時
          paypay_online_txn_id = properTransactionInfo.getPaypayOnlineTxnId();          // PayPay取引ID
          paypay_error_code = properTransactionInfo.getPaypayErrorCode();               // PayPayエラーコード
        }
%>
    <tr>
      <!-- 決済トランザクション情報 -->
      <td class="rivalue2" nowrap><%= Utils.out(transaction_txnId) %><br/></td>
      <td class="rivalue2" nowrap><%= Utils.out(transaction_command) %><br/></td>
      <td class="rivalue2" nowrap><%= Utils.out(transaction_mstatus) %><br/></td>
      <td class="rivalue2" nowrap><%= Utils.out(transaction_vResultCode) %><br/></td>
      <td class="rivalue2" nowrap><%= Utils.out(transaction_txnDatetime) %><br/></td>
      <td class="rivalue2" nowrap><%= Utils.out(transaction_amount) %><br/></td>
      <!-- 固有トランザクション情報 -->
      <td class="rivalue2" nowrap><%= Utils.out(paypay_paypayResultCode) %><br/></td>
      <td class="rivalue2" nowrap><%= Utils.out(paypay_detailCommandType) %><br/></td>
      <td class="rivalue2" nowrap><%= Utils.out(paypay_itemName) %><br/></td>
      <td class="rivalue2" nowrap><%= Utils.formatDateTime(Utils.out(paypay_requestDatetime)) %><br/></td>
      <td class="rivalue2" nowrap><%= Utils.formatDateTime(Utils.out(paypay_responseDatetime)) %><br/></td>
      <td class="rivalue2" nowrap><%= Utils.out(paypay_online_txn_id) %><br/></td>
      <td class="rivalue2" nowrap><%= Utils.out(paypay_error_code) %><br/></td>
    </tr>
<%
      }
    }
  }
%>
  </table>

  <br/>
  <a href="../Search">検索条件へ戻る</a>&nbsp;&nbsp;

  <hr>
  <img alt="VeriTransロゴ" src='../../WEB-IMG/VeriTransLogo_WH.png'>&nbsp; Copyright &copy; VeriTrans Inc. All rights reserved
</body>
</html>
