<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@ page import="jp.veritrans.tercerog.sample.util.*" %>
<%@ page import="jp.veritrans.tercerog.mdk.dto.*" %>

<%
  // 決済中にエラーが発生して戻された時のエラー内容
  String warning = Utils.out((String) request.getAttribute("warning"));
  if (Utils.isNull(warning) == false) {
    warning = "<font color='#ff0000' size='2'><b>" + warning + "</b></font><br/><br/>";
  }
%>

<html>
<head>
  <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
  <meta http-equiv="Content-Language" content="ja" />
  <title>取引検索結果(UPOP)</title>
  <link href="../../css/style.css" rel="stylesheet" type="text/css"/>
</head>
<body>
  <img alt="Paymentロゴ" src="../../WEB-IMG/VeriTrans_Payment.png"/><hr/>
  <div class="system-message">
    <font size="2">
    本画面はVeriTrans4G 取引検索のサンプル画面です。<br/>
    お客様ECサイトのショッピングカートとVeriTrans4Gとを連動させるための参考、例としてご利用ください。<br/>
    </font>
  </div>

<%= warning %>

  <div class="lhtitle">検索結果（UPOP）</div>
  <h2>オーダー情報</h2>
  <table border="1" cellpadding="0" cellspacing="0">
    <tr bgcolor="#ffeebb">
      <th class="rititle2" nowrap colspan="2">オーダー情報</th>
    </tr>
<%
  OrderInfo order_info = (OrderInfo) request.getAttribute("order_info");
  if (order_info != null) {
    String target_orderId              = order_info.getOrderId();              // オーダーID
    String target_serviceTypeCd        = order_info.getServiceTypeCd();        // 決済サービスタイプ
    String target_orderStatus          = order_info.getOrderStatus();          // オーダー決済状態
    String target_lastSuccessTxnType   = order_info.getLastSuccessTxnType();   // 最終成功トランザクションタイプ
    String target_successDetailTxnType = order_info.getSuccessDetailTxnType(); // 詳細トランザクションタイプ
%>
    <tr>
      <td class="rivalue2" bgcolor="#ffeebb" nowrap>取引ID</td>
      <td class="rivalue2" nowrap><%= Utils.out(target_orderId) %><br/></td>
    </tr>
    <tr>
      <td class="rivalue2" bgcolor="#ffeebb" nowrap>決済サービスタイプ</td>
      <td class="rivalue2" nowrap><%= Utils.out(target_serviceTypeCd) %><br/></td>
    </tr>
    <tr>
      <td class="rivalue2" bgcolor="#ffeebb" nowrap>オーダー決済状態</td>
      <td class="rivalue2" nowrap><%= Utils.out(target_orderStatus) %><br/></td>
    </tr>
    <tr>
      <td class="rivalue2" bgcolor="#ffeebb" nowrap>最終成功トランザクションタイプ</td>
      <td class="rivalue2" nowrap><%= Utils.out(target_lastSuccessTxnType) %><br/></td>
    </tr>
    <tr>
      <td class="rivalue2" bgcolor="#ffeebb" nowrap>詳細トランザクションタイプ</td>
      <td class="rivalue2" nowrap><%= Utils.out(target_successDetailTxnType) %><br/></td>
    </tr>
<%
  }
%>
  </table>
<br/>
  <h2>トランザクション情報</h2>
  <table border="1" cellpadding="0" cellspacing="0">
    <tr bgcolor="#ffeebb">
      <th class="rititle2" nowrap colspan="6">決済トランザクション情報</th>
      <th class="rititle2" nowrap colspan="6">固有トランザクション情報</th>
    </tr>
    <tr bgcolor="#ffeebb">
      <!-- 決済トランザクション情報 -->
      <th class="rititle2" nowrap width="65">管理ID</th>
      <th class="rititle2" nowrap width="120">コマンド</th>
      <th class="rititle2" nowrap width="130">ステータスコード</th>
      <th class="rititle2" nowrap width="145">結果コード</th>
      <th class="rititle2" nowrap width="180">取引日時</th>
      <th class="rititle2" nowrap width="100">金額</th>

      <!-- 固有トランザクション情報 -->
      <th class="rititle2" nowrap width="120">清算金額</th>
      <th class="rititle2" nowrap width="120">清算日付</th>
      <th class="rititle2" nowrap width="120">清算通貨</th>
      <th class="rititle2" nowrap width="120">為替日付</th>
      <th class="rititle2" nowrap width="120">清算レート</th>
      <th class="rititle2" nowrap width="210">決済センターとの取引ID</th>
    </tr>
<%
  if (order_info != null) {
    TransactionInfos transactionInfos = order_info.getTransactionInfos();
    TransactionInfo[] transactionInfo = transactionInfos.getTransactionInfo();

    String transaction_txnId       = "";
    String transaction_command     = "";
    String transaction_mstatus     = "";
    String transaction_vResultCode = "";
    String transaction_txnDatetime = "";
    String transaction_amount      = "";

    String upop_settle_amount   = "";
    String upop_settle_date     = "";
    String upop_settle_currency = "";
    String upop_exchangedate    = "";
    String upop_exchangerate    = "";
    String upop_order_id        = "";

    if (transactionInfo != null && 0 < transactionInfo.length) {
      for (int i = 0; i < transactionInfo.length; i++) {
        transaction_txnId       = transactionInfo[i].getTxnId();       // トランザクション管理ID
        transaction_command     = transactionInfo[i].getCommand();     // コマンド
        transaction_mstatus     = transactionInfo[i].getMstatus();     // ステータスコード
        transaction_vResultCode = transactionInfo[i].getVResultCode(); // 結果コード
        transaction_txnDatetime = transactionInfo[i].getTxnDatetime(); // 取引日時
        transaction_amount      = transactionInfo[i].getAmount();      // 金額

        ProperTransactionInfo properTransactionInfo = transactionInfo[i].getProperTransactionInfo();
        if (properTransactionInfo != null) {
          upop_settle_amount = properTransactionInfo.getResUpopSettleAmount();     // 清算金額
          upop_settle_date = properTransactionInfo.getResUpopSettleDate();         // 清算日付
          upop_settle_currency = properTransactionInfo.getResUpopSettleCurrency(); // 清算通貨
          upop_exchangedate = properTransactionInfo.getResUpopExchangeDate();      // 為替日付
          upop_exchangerate = properTransactionInfo.getResUpopExchangeRate();      // 清算レート
          upop_order_id = properTransactionInfo.getResUpopOrderId();               // 決済センターとの取引ID
        }
%>
    <tr>
      <!-- 決済トランザクション情報 -->
      <td class="rivalue2" nowrap><%= Utils.out(transaction_txnId) %><br/></td>
      <td class="rivalue2" nowrap><%= Utils.out(transaction_command) %><br/></td>
      <td class="rivalue2" nowrap><%= Utils.out(transaction_mstatus) %><br/></td>
      <td class="rivalue2" nowrap><%= Utils.out(transaction_vResultCode) %><br/></td>
      <td class="rivalue2" nowrap><%= Utils.out(transaction_txnDatetime) %><br/></td>
      <td class="rivalue2" nowrap><%= Utils.out(transaction_amount) %><br/></td>
      <!-- 固有トランザクション情報 -->
      <td class="rivalue2" nowrap><%= Utils.out(upop_settle_amount) %><br/></td>
      <td class="rivalue2" nowrap><%= Utils.out(upop_settle_date) %><br/></td>
      <td class="rivalue2" nowrap><%= Utils.out(upop_settle_currency) %><br/></td>
      <td class="rivalue2" nowrap><%= Utils.out(upop_exchangedate) %><br/></td>
      <td class="rivalue2" nowrap><%= Utils.out(upop_exchangerate) %><br/></td>
      <td class="rivalue2" nowrap><%= Utils.out(upop_order_id) %><br/></td>
    </tr>
<%
      }
    }
  }
%>
  </table>

  <br/>
  <a href="../Search">検索条件へ戻る</a>&nbsp;&nbsp;

  <hr>
  <img alt="VeriTransロゴ" src='../../WEB-IMG/VeriTransLogo_WH.png'>&nbsp; Copyright &copy; VeriTrans Inc. All rights reserved
</body>
</html>

